<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhpc.payment.mapper.XhpcCommonPaymentMapper">

    <resultMap type="com.xhpc.common.domain.XhpcSettingConfig" id="XhpcSettingConfigResult">

        <result column="setting_config_id" property="settingConfigId"/>
        <result column="wx_app_id" property="wxAppId"/>
        <result column="wx_app_secret" property="wxAppSecret"/>
        <result column="wx_mch_id" property="wxMchId"/>
        <result column="wx_mch_key" property="wxMchKey"/>
        <result column="wx_payment_url" property="wxPaymentUrl"/>
        <result column="wx_callback_url" property="wxCallbackUrl"/>
        <result column="wx_transfers_url" property="wxTransfersUrl"/>
        <result column="wx_apiclient_cert_pem" property="wxApiclientCertPem"/>
        <result column="wx_apiclient_key_pem" property="wxApiclientKeyPem"/>
        <result column="wx_app_cert_public_key" property="wxAppCertPublicKey"/>
        <result column="zfb_app_id" property="zfbAppId"/>
        <result column="zfb_private_key" property="zfbPrivateKey"/>
        <result column="zfb_callback_url" property="zfbCallbackUrl"/>
        <result column="zfb_app_cert_public_key" property="zfbAppCertPublicKey"/>
        <result column="zfb_alipay_cert_public_key_rsa" property="zfbAlipayCertPublicKeyRsa"/>
        <result column="zfb_alipay_root_cert" property="zfbAlipayRootCert"/>
        <result column="zhb_server_url" property="zhbServerUrl"/>
        <result column="status" property="status"/>
        <result column="del_flag" property="delFlag"/>
        <result column="create_time" property="createTime"/>
        <result column="create_by" property="createBy"/>
        <result column="update_time" property="updateTime"/>
        <result column="update_by" property="updateBy"/>
        <result column="remark" property="remark"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>

    <select id="getXhpcSettingConfigTenantId" resultMap="XhpcSettingConfigResult">
        select * from xhpc_setting_config where del_flag =0 and status=#{status} and tenant_id=#{tenantId} limit 1
    </select>
</mapper> 